from testdoubleutil import SpyCall
from timeutil import Sleeper


class SleeperSpy(Sleeper):
    def __init__(self):
        self.sleep_call = SpyCall()

    def sleep(self, secs):
        self.sleep_call.register_call(secs)
